#!/bin/csh
#Retrieve NARR-based NLDAS2 forcing data for Boundary Conditions for HRLDAS
#
 
####### SET THESE PARAMS BEFORE RUNNING
#set the year you'd like to start downloading data for
set start_year = 2012

#set the year you'd like to end downloading data for
set end_year = 2012

#set the julian day of the year for which you'd like to start download (** will only get initial conditions from GLDAS for start day)
set jday_start = 1
#set the julian day of the year for which you'd like to end download
set jday_end = 366


###### BEGIN LOOP

 set year = $start_year
 while ($year <= $end_year)


######### RETREIVE NLDAS FOR THE BOUNDARY CONDITIONS -- command retrieves one year at a time -- NEED FOR ALL TIMES YOULL BE RUNNING HRLDAS
#EXAMPLE FILENAME: NLDAS_FORA0125_H.A20070101.0000.002.grb


#cd /qnap/DG/NLDAS2_2008_13 
    mkdir -p $year
      set jday = $jday_start

      while ($jday <= $jday_end)

#      need to set up dummy jday because of csh bug with 08 and 09
       set jdayc = $jday
       if ($jday < 10) set jdayc =  0$jdayc
       if ($jday < 100) set jdayc = 0$jdayc

       echo "Before wget..." $jdayc

#       wget -c -nH -nd -r -l1 --no-parent -A "*grb" ftp://hydro1.sci.gsfc.nasa.gov/data/s4pa/NLDAS/NLDAS_MOS0125_H.002//${year}/${jdayc}/
       wget -c -nH -nd -r -l1 --no-parent -A "*grb" ftp://hydro1.sci.gsfc.nasa.gov/data/s4pa/NLDAS/NLDAS_FORA0125_H.002//${year}/${jdayc}/
 
      set nflnames  = `ls *grb` 
      foreach nflname ($nflnames)
       set nfilehead  = `echo $nflname |cut -c1-17` 
       set yyyymmdd  = `echo $nflname |cut -c19-26` 
       set hh  = `echo $nflname |cut -c28-29` 
       mv $nflname ${year}/${nfilehead}${yyyymmdd}${hh}.grb
#        foreach var (TMP UGRD VGRD SPFH PRES DSWRF DLWRF APCP)
#          mkdir -p ${year}/${var}
#          wgrib -s ${year}/${nfilehead}${yyyymmdd}${hh}.grb | grep ":${var}:" | wgrib -i -grib ${year}/${nfilehead}${yyyymmdd}${hh}.grb -o ${year}/${var}/${nfilehead}${var}.${yyyymmdd}${hh}.grb
#        end
#          rm ${year}/${nfilehead}${yyyymmdd}${hh}.grb
      end
      set jday = `expr $jday + 1`
     end
#    cd ../


##########

  set year = `expr $year + 1`
  end

########## END LOOP
